Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.filters
Class Shear

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--com.sun.jimi.core.filters.ImageFilterPlus
                  |
                  +--com.sun.jimi.core.filters.RGBAllFilter
                        |
                        +--com.sun.jimi.core.filters.Shear

public class Shear
extends RGBAllFilter

Fields inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`rgbModel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`Shear(java.awt.image.ImageProducer producer, double angle)`

Method Summary
`void` | `filterRGBAll(int width, int height, int[][] rgbPixels)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class com.sun.jimi.core.filters.RGBAllFilter
`imageComplete, setColorModel, setDimensions, setPixels, setPixels, setPixels`

Methods inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`filterStream, getSource, setHints, setSource`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, resendTopDownLeftRight, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shear

    public Shear(java.awt.image.ImageProducer producer,
                 double angle)

Method Detail

### filterRGBAll

    public void filterRGBAll(int width,
                             int height,
                             int[][] rgbPixels)

  Overrides:
    filterRGBAll in class RGBAllFilter

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD